Skip to main content
GET
/
analytics
/
getInstagramOnlineFollowers
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/analytics/getInstagramOnlineFollowers?date=2023-12-03
{
  "status": "success",
  "onlineFollowersByHour": {
    "0": 120, // 12 AM
    "1": 113, // 1 AM
    "2": 117, // 2 AM
    "3": 110, // 3 AM
    "4": 129, // 4 AM
    "5": 170, // 5 AM
    "6": 166, // 6 AM
    "7": 173, // 7 AM
    "8": 177, // 8 AM
    "9": 168, // 9 AM
    "10": 178, // 10 AM
    "11": 160, // 11 AM
    "12": 154, // 12 PM
    "13": 153, // 1 PM
    "14": 131, // 2 PM
    "15": 118, // 3 PM
    "16": 109, // 4 PM
    "17": 128, // 5 PM
    "18": 129, // 6 PM
    "19": 134, // 7 PM
    "20": 123, // 8 PM
    "21": 111, // 9 PM
    "22": 102, // 10 PM
    "23": 98 // 11 PM
  },
  "startTime": "2024-03-29T07:00:00.000Z",
  "endTime": "2024-03-30T07:00:00.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://ayrshare.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Available on plan.
Retrieve the total historical count of your Instagram followers online per hour, which allows you to optimize posting for maximum engagement.
  • Not available on IG Users with fewer than 100 followers.
  • Analytics data only available for the last 30 days.
  • The time period for a requested day is the previous day at T07:00:00.000Z until the current day at T06:59:59.999Z in UTC.For example, use format YYYY-MM-DDThh:mm:ssZ and send as 2026-07-08T12:30:00Z. Please see utctime for more examples.

Header Parameters

Authorization
string
required
API Key of the Primary Profile.

Format: Authorization: Bearer API_KEY
Profile-Key
string
Profile Key of a User Profile.

Format: Profile-Key: PROFILE_KEY

Query Parameters

date
string
required
A day with format: YYYY-MM-DD.For example, use format YYYY-MM-DDThh:mm:ssZ and send as 2026-07-08T12:30:00Z. Please see utctime for more examples.
formatUTC
boolean
default:false
required
Format the output with UTC start and end dates.
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/analytics/getInstagramOnlineFollowers?date=2023-12-03
{
  "status": "success",
  "onlineFollowersByHour": {
    "0": 120, // 12 AM
    "1": 113, // 1 AM
    "2": 117, // 2 AM
    "3": 110, // 3 AM
    "4": 129, // 4 AM
    "5": 170, // 5 AM
    "6": 166, // 6 AM
    "7": 173, // 7 AM
    "8": 177, // 8 AM
    "9": 168, // 9 AM
    "10": 178, // 10 AM
    "11": 160, // 11 AM
    "12": 154, // 12 PM
    "13": 153, // 1 PM
    "14": 131, // 2 PM
    "15": 118, // 3 PM
    "16": 109, // 4 PM
    "17": 128, // 5 PM
    "18": 129, // 6 PM
    "19": 134, // 7 PM
    "20": 123, // 8 PM
    "21": 111, // 9 PM
    "22": 102, // 10 PM
    "23": 98 // 11 PM
  },
  "startTime": "2024-03-29T07:00:00.000Z",
  "endTime": "2024-03-30T07:00:00.000Z"
}